View Issue Details

IDProjectCategoryView StatusLast Update
0003052GNUnetnamestore servicepublic2013-12-24 20:54
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0003052: namestore API should use plugin architecture for record types
DescriptionRight now, adding a new record type requires modifying namestore_api_common.c and (i.e. for conversation) likely introduces layering violations. We should use plugins instead.
TagsNo tags attached.

Relationships

related to 0003053 closedChristian Grothoff gnunet-gtk need a dialog to create PHONE records 

Activities

Christian Grothoff

2013-10-16 14:17

manager   ~0007530

Plugin API was defined, plugins for DNS, GNS and Conversation now exist. Plugin loader is next.

Christian Grothoff

2013-10-16 14:37

manager   ~0007531

Plugins are in use as of SVN 30219.

Issue History

Date Modified Username Field Change
2013-10-05 17:44 Christian Grothoff New Issue
2013-10-05 17:44 Christian Grothoff Status new => confirmed
2013-10-07 21:57 Christian Grothoff Assigned To => Christian Grothoff
2013-10-07 21:57 Christian Grothoff Status confirmed => assigned
2013-10-07 22:05 Christian Grothoff Relationship added related to 0003053
2013-10-16 14:17 Christian Grothoff Note Added: 0007530
2013-10-16 14:37 Christian Grothoff Note Added: 0007531
2013-10-16 14:37 Christian Grothoff Status assigned => resolved
2013-10-16 14:37 Christian Grothoff Fixed in Version => 0.10.0
2013-10-16 14:37 Christian Grothoff Resolution open => fixed
2013-10-16 14:37 Christian Grothoff Target Version 0.10.1 => 0.10.0
2013-12-24 20:54 Christian Grothoff Status resolved => closed